import { jsx } from "react/jsx-runtime";
import { Golf as Golf$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Golf = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Golf", ...props, children: /* @__PURE__ */ jsx(Golf$1, { weight: variant }) });
  }
);
Golf.displayName = "Golf";
Object.assign(Golf, { isGdsIcon: true });
export {
  Golf
};
